---
name: Google Meet
version: 1.0.0
description: "Google Meet API access for AI agents. Create and manage meeting spaces with OAuth token passthrough. For scheduling meetings, use the Google Calendar publisher."
homepage: https://meet.googleapis.com/v2
metadata: {"seren":{"category":"integration","publisher_slug":"google-meet","api_base":"https://api.serendb.com"}}
---

# Google Meet

Google Meet API access for AI agents. Create and manage meeting spaces with OAuth token passthrough. For scheduling meetings, use the Google Calendar publisher.

## API Endpoints

### POST `/spaces`

Create a new meeting space

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/google-meet/spaces \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### GET `/spaces/{name}`

Get meeting space details

**Example:**

```bash
curl -X GET https://api.serendb.com/publishers/google-meet/spaces/{name} \
  -H "Authorization: Bearer $SEREN_API_KEY"
```

### PATCH `/spaces/{name}`

Update meeting space

**Example:**

```bash
curl -X PATCH https://api.serendb.com/publishers/google-meet/spaces/{name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

### POST `/spaces/{name}:endActiveConference`

End active conference in a space

**Example:**

```bash
curl -X POST https://api.serendb.com/publishers/google-meet/spaces/{name}:endActiveConference \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
```

## MCP Tools

This API publisher also supports MCP (Model Context Protocol) access. Each API endpoint is available as an MCP tool.

### Available Tools

- `post_spaces`: Create a new meeting space
- `get_spaces_by_name`: Get meeting space details
- `patch_spaces_by_name`: Update meeting space
- `post_spaces_{name}:endActiveConference`: End active conference in a space

### Introspection

```bash
# List tools
curl https://api.serendb.com/publishers/google-meet/_mcp/tools \
  -H "Authorization: Bearer $SEREN_API_KEY"

# Call a tool
curl -X POST https://api.serendb.com/publishers/google-meet/_mcp/tools/{tool_name} \
  -H "Authorization: Bearer $SEREN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"body": {"key": "value"}}'
```

## Pricing

**Pricing Model:** per_byte

- Base price per 1000 rows (bytes): $0.00100000

**Minimum charge:** $0.00010000

---

## Need Help?

- Seren Docs: https://docs.serendb.com
- Publisher: Google Meet API access for AI agents. Create and manage meeting spaces with OAuth token passthrough. For scheduling meetings, use the Google Calendar publisher.
